ランタイム: Mix::Scene::CAMERA_CONFIG Struct Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Mix::Scene::CAMERA_CONFIG Struct Reference

カメラ設定構造体 More...

`#include <Common.h>`

Collaboration diagram for Mix::Scene::CAMERA_CONFIG:
[legend]

## Public Member Functions

| CAMERA_CONFIG (void)
| コンストラクタ More...

## Public Attributes

UInt32 | caps
| 能力を表す Mix::Scene::RENDERER_CAPABILITY_FLAG 列挙定数の組み合わせ More...
Mix::Point | targetSize
| ターゲットのサイズ More...
Mix::Graphics::FORMAT | depthBuffFormat
| 深度バッファのフォーマット More...
Mix::Graphics::FORMAT | colorTexFormat
| カラーテクスチャフォーマット More...
Mix::Graphics::FORMAT | depthTexFormat
| 深度テクスチャフォーマット More...
Mix::Graphics::FORMAT | refractTexFormat
| 屈折テクスチャフォーマット More...
Mix::Scene::RENDERER_SAMPLING_RESOLUTION | aoSmplRes
| アンビエントオクルージョンのサンプリング解像度 More...
Mix::Graphics::FORMAT | smDepthTexFormat
| シャドウマッピングの深度テクスチャのフォーマット More...
UInt32 | smDepthTexSize
| シャドウマッピングの深度テクスチャの一辺のサイズ More...
Mix::Scene::RENDERER_SAMPLING_RESOLUTION | smSmplRes
| シャドウマッピングのサンプリング解像度 More...
Mix::Graphics::FORMAT | lumTexFormat
| 輝度テクスチャフォーマット More...
UInt32 | bloomOverflowNum
| ブルームのオーバーフロー数 More...
Mix::Scene::RENDERER_SAMPLING_RESOLUTION | bloomSmplRes
| ブルームのサンプリング解像度 More...
Mix::Scene::RENDERER_SAMPLING_RESOLUTION | lfSmplRes
| レンズフレアのサンプリング解像度 More...
Mix::Scene::RENDERER_SAMPLING_RESOLUTION | caSmplRes
| 色収差のサンプリング解像度 More...
Mix::Scene::RENDERER_SAMPLING_RESOLUTION | dofSmplRes
| 被写界深度のサンプリング解像度 More...

## Detailed Description

カメラ設定構造体

## Constructor & Destructor Documentation

Mix::Scene::CAMERA_CONFIG::CAMERA_CONFIG | ( | void |  | ) |

inline

コンストラクタ

## Member Data Documentation

UInt32 Mix::Scene::CAMERA_CONFIG::caps

能力を表す Mix::Scene::RENDERER_CAPABILITY_FLAG 列挙定数の組み合わせ

Note
  設定できる能力は以下のものに限定されます。
  RCAP_DYNAMICS
  RCAP_AMBIENT_OCCLUSION
  RCAP_SHADOW_MAPPING
  RCAP_LUMINOSITY
  RCAP_BLOOM
  RCAP_LIGHT_SHAFTS
  RCAP_LENS_FLARE
  RCAP_CHROMATISM
  RCAP_DEPTH_OF_FIELD
  また、ダイナミクス( RCAP_DYNAMICS ) はカメラを使用してオブジェクトのドラッグをするかどうかを指定するものであって、
  ダイナミクス自体の ON、OFF をするもではありません。

Mix::Point Mix::Scene::CAMERA_CONFIG::targetSize

ターゲットのサイズ

Note
  描画先のターゲットの解像度になります。

Mix::Graphics::FORMAT Mix::Scene::CAMERA_CONFIG::depthBuffFormat

深度バッファのフォーマット

Mix::Graphics::FORMAT Mix::Scene::CAMERA_CONFIG::colorTexFormat

カラーテクスチャフォーマット

Note
  使用できるフォーマットは「FMT_R8G8B8A8」「FMT_R16G16B16A16F」「FMT_R32G32B32A32F」 の３つになります。

Mix::Graphics::FORMAT Mix::Scene::CAMERA_CONFIG::depthTexFormat

深度テクスチャフォーマット

Note
  パーティクル、被写界深度、アンビエントオクルージョン などで使用されます。
  使用できるフォーマットは「FMT_R16F」「FMT_R32F」の２つになります。
  デバッグ時は、デバッグ描画を行えるようにするために以下のようにフォーマットを解釈します。
  「FMT_R16F」→「FMT_R16G16B16A16F」
  「FMT_R32F」→「FMT_R32G32B32A32F」

Mix::Graphics::FORMAT Mix::Scene::CAMERA_CONFIG::refractTexFormat

屈折テクスチャフォーマット

Note
  使用できるフォーマットは「FMT_R16G16B16A16F」「FMT_R32G32B32A32F」の２つになります。
  色、深度を格納するため、カラーフォーマットと深度の精度を考慮にいれて設定してください。

Mix::Scene::RENDERER_SAMPLING_RESOLUTION Mix::Scene::CAMERA_CONFIG::aoSmplRes

アンビエントオクルージョンのサンプリング解像度

Note
  Mix::Scene::RSMPL_DEFAULT を指定した場合は、スクリーンのサイズになります。

Mix::Graphics::FORMAT Mix::Scene::CAMERA_CONFIG::smDepthTexFormat

シャドウマッピングの深度テクスチャのフォーマット

Note
  使用できるフォーマットは「FMT_R16G16B16A16F」「FMT_R32G32B32A32F」の２つになります。

UInt32 Mix::Scene::CAMERA_CONFIG::smDepthTexSize

シャドウマッピングの深度テクスチャの一辺のサイズ

Note
  256を下回る値を指定した場合は、256を指定したとみなします。

Mix::Scene::RENDERER_SAMPLING_RESOLUTION Mix::Scene::CAMERA_CONFIG::smSmplRes

シャドウマッピングのサンプリング解像度

Note
  Mix::Scene::RSMPL_DEFAULT を指定した場合は、スクリーンのサイズになります。

Mix::Graphics::FORMAT Mix::Scene::CAMERA_CONFIG::lumTexFormat

輝度テクスチャフォーマット

Note
  使用できるフォーマットは「FMT_R16F」「FMT_R32F」の２つになります。
  デバッグ時は、デバッグ描画を行えるようにするために以下のようにフォーマットを解釈します。
  「FMT_R16F」→「FMT_R16G16B16A16F」
  「FMT_R32F」→「FMT_R32G32B32A32F」

UInt32 Mix::Scene::CAMERA_CONFIG::bloomOverflowNum

ブルームのオーバーフロー数

Note
  0を指定した場合は、1を指定したとみなします。

Mix::Scene::RENDERER_SAMPLING_RESOLUTION Mix::Scene::CAMERA_CONFIG::bloomSmplRes

ブルームのサンプリング解像度

Note
  Mix::Scene::RSMPL_DEFAULT を指定した場合は Mix::Scene::RSMPL_DOWN2X を指定したと見なされます。

Mix::Scene::RENDERER_SAMPLING_RESOLUTION Mix::Scene::CAMERA_CONFIG::lfSmplRes

レンズフレアのサンプリング解像度

Note
  Mix::Scene::RSMPL_DEFAULT を指定した場合は、スクリーンのサイズになります。

Mix::Scene::RENDERER_SAMPLING_RESOLUTION Mix::Scene::CAMERA_CONFIG::caSmplRes

色収差のサンプリング解像度

Note
  Mix::Scene::RSMPL_DEFAULT を指定した場合は、スクリーンのサイズになります。

Mix::Scene::RENDERER_SAMPLING_RESOLUTION Mix::Scene::CAMERA_CONFIG::dofSmplRes

被写界深度のサンプリング解像度

Note
  Mix::Scene::RSMPL_DEFAULT を指定した場合は、スクリーンのサイズになります。

The documentation for this struct was generated from the following file:

- Mix/Common.h